cURL
curl --request PATCH \ --url https://api.ravan.ai/api/v1/agents/{id}/ \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "widget_settings_id": "<string>", "name": "<string>", "agent_name": "<string>", "model": "<string>", "s2s_model": "<string>", "voice_id": "<string>", "temperature": 123, "reminder_trigger_ms": 123, "reminder_max_count": 123, "ambient_sound": "<string>", "ambient_sound_volume": 123, "end_call_after_silence": true, "max_call_duration_ms": 123, "ring_duration_ms": 123, "enable_voicemail_detection": true, "voicemail_message": "<string>", "voicemail_detection_timeout_ms": 123, "ivr_options": {}, "post_call_analysis_model": "<string>", "analysis_summary_prompt": "<string>", "selected_tools": {}, "integrations": {}, "knowledge_base": "<string>", "begin_message": "<string>", "start_speaker": "<string>" } '
{ "success": true, "message": "Request completed successfully", "data": { "id": "id_123", "organization_id": "organization_123", "widget_settings_id": "widget_settings_123", "name": "Support Bot", "agent_name": "Support Bot", "status": "AGENT_STATUS_ACTIVE", "model": "gpt-4o", "s2s_model": "gpt-4o", "voice_id": "voice_123", "temperature": 0.7, "reminder_trigger_ms": 5000, "reminder_max_count": 1, "ambient_sound": "example", "ambient_sound_volume": 0.3, "end_call_after_silence": true, "max_call_duration_ms": 5000, "ring_duration_ms": 5000, "enable_voicemail_detection": true, "voicemail_message": "en-US-female-1", "voicemail_detection_timeout_ms": 5000, "ivr_options": {}, "post_call_analysis_model": "gpt-4o", "analysis_summary_prompt": "example", "selected_tools": {}, "integrations": {}, "knowledge_base": "example", "begin_message": "Request completed successfully", "start_speaker": "example", "created_at": "2026-03-14T12:00:00Z", "updated_at": "2026-03-14T12:00:00Z" } }
Update Agent.
Show data
AGENT_STATUS_UNSPECIFIED
AGENT_STATUS_ACTIVE
AGENT_STATUS_INACTIVE
Agent ID
Successful response
Show child attributes